Previous page | Next page | Locate page |

## Changing Tomcat Java Connector Ports

The default port numbers for Coyote and Warp connectors in Parallels Plesk Panel are 9080 and 9008.

If you want Tomcat Java to work on other ports (e.g. 8090 and 8009), you should connect to the Parallels Plesk Panel database and add two parameters to the database as in the following example:

insert into misc (param,val) values ('coyote_connector_port', '8090');

insert into misc (param,val) values ('warp_connector_port', '8009');

Alternatively, you can use the `dbclient.exe` utility to add the information to the Parallels Plesk Panel database. For information about using the `dbclient.exe` utility, consult Parallels Plesk Panel for Windows Command Line Interface Reference.

Note: It is recommended that you change the Tomcat Java ports right after Parallels Plesk Panel is installed on server, or prior to enabling the Tomcat Java service for your domains.